Summary: A library of functions for manipulating PNG image format files.
Name: libpng
%define majver 2
Version: 1.0.8
Release: 2mdk
Copyright: distributable
Group: System/Libraries
BuildRequires: zlib-devel
Source: ftp://ftp.uu.net/graphics/png/src/%{name}-%{version}.tar.bz2
Patch0: libpng-1.0.6-mdkconf.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
%define prefix /usr
Serial: 1


%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package devel
Summary: Development tools for programs to manipulate PNG image format files.
Group: Development/C
Requires: libpng = %{PACKAGE_VERSION}
Serial: 1

%description devel
The libpng-devel package contains the header files and static libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%setup -n %{name}-%{version}
ln -s scripts/makefile.linux ./Makefile

%patch0 -p0

perl -p -i -e 's/CFLAGS=.*/CFLAGS=-I\$(ZLIBINC) \$(RPM_OPT_FLAGS) -Wall \\/g' Makefile
perl -p -i -e 's/ZLIBLIB=.*/ZLIBLIB=\/usr\/lib/' Makefile
perl -p -i -e 's/ZLIBINC=.*/ZLIBINC=\/usr\/include/' Makefile

%build
%make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix="%{prefix}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{3,5}
install -m 644 {libpng,libpngpf}.3 $RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 png.5 $RPM_BUILD_ROOT%{_mandir}/man5

ln -sf %{name}.so.%{majver}.%{version} $RPM_BUILD_ROOT%{_libdir}/%{name}.so.%{majver}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
%{_libdir}/libpng.so.*
%{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libpng.a
%{_libdir}/libpng.so
%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.8-2mdk
- automatically added BuildRequires


* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release
- spec cleaning
- BM

* Tue Jul 18 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- Patch 1.0.6a(official)
- Patch 1.0.6b(official)
- Patch 1.0.6c(official)
- Updated mdkconf patch(some parts was obsoletes)

* Fri May 19 2000 Pixel <pixel@mandrakesoft.com> 1.0.5-3mdk
- fix *ugly* install of man pages
- add soname

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.5-2mdk
- fix group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.5
- redo patch with perl (yay perl)
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- libpng.so.2.1.0.3 is not a man pages lets not put it in usr/man/man3 

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Feb 07 1999 Michael Johnson <johnsonm@redhat.com>
- rev to 1.0.3

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

